device_type: hi6220-hikey-r2
job_name: ${KERNEL_BRANCH}-hi6220-vellamo-${BUILD_NUMBER}
timeouts:
  job:
    minutes: 420
  action:
    minutes: 10
  connection:
    minutes: 2
  connections:
    lava-test-shell:
      seconds: 10

priority: medium
visibility: personal

metadata:
  git branch: ${GIT_BRANCH}
  git repo: ${GIT_URL}
  git commit: ${GIT_COMMIT}
  build-url: ${BUILD_URL}
  build-location: ${PUBLISH_SERVER}${PUB_DEST}
  series: pmwg

protocols:
  lava-lxc:
    name: lxc-hikey-test
    distribution: ubuntu
    release: xenial
    arch: amd64
    verbose: true

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 15
    to: lxc
    packages:
    - git
    - unzip
    - wget
    - trace-cmd
    os: debian

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):/#'
    - ':/'
    timeout:
      minutes: 5
    method: lxc

- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/android/workload-automation3/aep-install.yaml
      name: aep-install
      parameters:
        AEP_CONFIG_REF: wa3_support

- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/android-platform-tools/install.yaml
      name: install-android-platform-tools-r2600
      parameters:
        LINK: 'https://dl.google.com/android/repository/platform-tools_r26.0.0-linux.zip'

- deploy:
    timeout:
      minutes: 15
    to: fastboot
    namespace: hikey-android
    images:
      ptable:
        url: http://snapshots.linaro.org/96boards/reference-platform/components/uefi-staging/latest/hikey/debug/ptable-aosp-8g.img
        reboot: hard-reset
      boot:
        url: ${PUBLISH_SERVER}${PUB_DEST}/boot.img.xz
        compression: xz
        reboot: hard-reset
      userdata:
        url: ${REFERENCE_BUILD_URL}/userdata.img.xz
        compression: xz
      system:
        url: ${REFERENCE_BUILD_URL}/system.img.xz
        compression: xz
      vendor:
        url: ${REFERENCE_BUILD_URL}/vendor.img.xz
        compression: xz
    os: debian
    protocols:
      lava-lxc:
      - action: fastboot-deploy
        request: pre-power-command
        timeout:
          minutes: 2

- boot:
    namespace: hikey-android
    prompts:
    - 'root@(.*):/#'
    - ':/'
    timeout:
      minutes: 15
    method: fastboot

- test:
    namespace: tlxc
    timeout:
      minutes: 360
    definitions:
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/android/workload-automation3/workload-automation.yaml
      parameters:
         WA_TAG: master
         WA_EXTENSION_PATHS: "/root/energy-probe-ext"
         WA_TEMPLATES_REPO: "https://git.linaro.org/power/wa3-lava.git"
         TEMPLATES_BRANCH: master
         BUILD_TOOLS_URL: "http://testdata.linaro.org/apks/pmwg/build-tools.tar.gz"
         WA_HOME_URL: "http://testdata.linaro.org/apks/pmwg/workload_automation_home_v0.8.tar.gz"
         AGENDA: "agenda/android-vellamo-aep.yaml"
         CONFIG: "config/generic-android.yaml"
         OUTPUT: /root/output
      name: wa-lxc-test

- test:
    namespace: tlxc
    timeout:
      minutes: 45
    definitions:
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      path: automated/linux/aep-pre-post/lisa-postprocessing.yaml
      name: lisa-postprocessing
      parameters:
        LISA_REPOSITORY: https://github.com/vingu-linaro/lisa
        LISA_REF: support_python_command_line_post_processing
        LISA_SCRIPT: ipynb/wltests/sched-evaluation-full.py

notify:
    recipients:
    - to:
        method: email
        email: private-pmwg@lists.linaro.org
    criteria:
        status: complete
    verbosity: verbose
